<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.3"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>NANO102/112 BSP: StdDriver/inc/pdma.h File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../M0Banner_v2.jpg"/></td>
  <td id="projectalign">
   <div id="projectname">NANO102/112 BSP<span id="projectnumber">&#160;V3.04.000</span>
   </div>
   <div id="projectbrief">The Board Support Package for Nano102/112 Series</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.3 -->
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',false,false,'search.php','Search');
});
/* @license-end */
</script>
<div id="main-nav"></div>
<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="../../dir_0d398eaf8b2db165a9197a6619ec9f0e.html">StdDriver</a></li><li class="navelem"><a class="el" href="../../dir_727df3ff8d6c08f79694ae8f401a0b8b.html">inc</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">pdma.h File Reference</div></div>
</div><!--header-->
<div class="contents">

<p>Nano102/112 series PDMA driver header file.  
<a href="#details">More...</a></p>
<div class="textblock"><div class="dynheader">
This graph shows which files directly or indirectly include this file:</div>
<div class="dyncontent">
<div class="center"><img src="../../d6/dcf/pdma_8h__dep__incl.png" border="0" usemap="#a_std_driver_2inc_2pdma_8hdep" alt=""/></div>
</div>
</div>
<p><a href="../../d1/d47/pdma_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="define-members" name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:gac2d69c77ef2c12860be0c946ab509c52"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gac2d69c77ef2c12860be0c946ab509c52">PDMA_WIDTH_8</a>&#160;&#160;&#160;0x00080000UL</td></tr>
<tr class="separator:gac2d69c77ef2c12860be0c946ab509c52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga10522cab6c0fa8d45aeb59deb064dfac"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga10522cab6c0fa8d45aeb59deb064dfac">PDMA_WIDTH_16</a>&#160;&#160;&#160;0x00100000UL</td></tr>
<tr class="separator:ga10522cab6c0fa8d45aeb59deb064dfac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0e4d6deef47ba09e97543dc7594a59a3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga0e4d6deef47ba09e97543dc7594a59a3">PDMA_WIDTH_32</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga0e4d6deef47ba09e97543dc7594a59a3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d0ab72a1e9a8daaeef08cb6965bc7d5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga1d0ab72a1e9a8daaeef08cb6965bc7d5">PDMA_SAR_INC</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga1d0ab72a1e9a8daaeef08cb6965bc7d5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8d3be22ba29f16cb303c5d3c5b7d7dca"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8d3be22ba29f16cb303c5d3c5b7d7dca">PDMA_SAR_FIX</a>&#160;&#160;&#160;0x00000020UL</td></tr>
<tr class="separator:ga8d3be22ba29f16cb303c5d3c5b7d7dca"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6e4dd7405575c9c493fd0caf15814800"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga6e4dd7405575c9c493fd0caf15814800">PDMA_SAR_WRA</a>&#160;&#160;&#160;0x00000030UL</td></tr>
<tr class="separator:ga6e4dd7405575c9c493fd0caf15814800"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf87d318bb050f2b2e28e5b75a633ab40"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf87d318bb050f2b2e28e5b75a633ab40">PDMA_DAR_INC</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:gaf87d318bb050f2b2e28e5b75a633ab40"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga22d43fb8061d03b776184d56f5d617f4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga22d43fb8061d03b776184d56f5d617f4">PDMA_DAR_FIX</a>&#160;&#160;&#160;0x00000080UL</td></tr>
<tr class="separator:ga22d43fb8061d03b776184d56f5d617f4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga854ba02e7cac7866a4cb9b90cdd153e2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga854ba02e7cac7866a4cb9b90cdd153e2">PDMA_DAR_WRA</a>&#160;&#160;&#160;0x000000C0UL</td></tr>
<tr class="separator:ga854ba02e7cac7866a4cb9b90cdd153e2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9ff6104fb9271fb8fae39867535244ea"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9ff6104fb9271fb8fae39867535244ea">PDMA_SPI0_TX</a>&#160;&#160;&#160;0x00000000UL</td></tr>
<tr class="separator:ga9ff6104fb9271fb8fae39867535244ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga07bbb3174e1c310aaf1c232a11ddbc62"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga07bbb3174e1c310aaf1c232a11ddbc62">PDMA_SPI1_TX</a>&#160;&#160;&#160;0x00000001UL</td></tr>
<tr class="separator:ga07bbb3174e1c310aaf1c232a11ddbc62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad625d970deaa570105920c81c1500afe"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gad625d970deaa570105920c81c1500afe">PDMA_UART0_TX</a>&#160;&#160;&#160;0x00000002UL</td></tr>
<tr class="separator:gad625d970deaa570105920c81c1500afe"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab7062d121208f552131821681af03a0c"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gab7062d121208f552131821681af03a0c">PDMA_UART1_TX</a>&#160;&#160;&#160;0x00000003UL</td></tr>
<tr class="separator:gab7062d121208f552131821681af03a0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9fa15658aac2952bdcbc6f550eb6a688"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9fa15658aac2952bdcbc6f550eb6a688">PDMA_TMR0_TX</a>&#160;&#160;&#160;0x00000009UL</td></tr>
<tr class="separator:ga9fa15658aac2952bdcbc6f550eb6a688"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae5a6d206f45aa185bc0c0853ff0d7272"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gae5a6d206f45aa185bc0c0853ff0d7272">PDMA_TMR1_TX</a>&#160;&#160;&#160;0x0000000AUL</td></tr>
<tr class="separator:gae5a6d206f45aa185bc0c0853ff0d7272"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8cea4fa7294830387a1c3271f049ce80"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga8cea4fa7294830387a1c3271f049ce80">PDMA_TMR2_TX</a>&#160;&#160;&#160;0x0000000BUL</td></tr>
<tr class="separator:ga8cea4fa7294830387a1c3271f049ce80"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9a45d86369963ad1e8016caae0409c30"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga9a45d86369963ad1e8016caae0409c30">PDMA_TMR3_TX</a>&#160;&#160;&#160;0x0000000CUL</td></tr>
<tr class="separator:ga9a45d86369963ad1e8016caae0409c30"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa57b1014fe27240eb0568ee37441a3c3"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaa57b1014fe27240eb0568ee37441a3c3">PDMA_SPI0_RX</a>&#160;&#160;&#160;0x00000010UL</td></tr>
<tr class="separator:gaa57b1014fe27240eb0568ee37441a3c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacba44d471efef119711b3e3f6547c133"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gacba44d471efef119711b3e3f6547c133">PDMA_SPI1_RX</a>&#160;&#160;&#160;0x00000011UL</td></tr>
<tr class="separator:gacba44d471efef119711b3e3f6547c133"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga67a69da9283454af1332746b5f443d23"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga67a69da9283454af1332746b5f443d23">PDMA_UART0_RX</a>&#160;&#160;&#160;0x00000012UL</td></tr>
<tr class="separator:ga67a69da9283454af1332746b5f443d23"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18106be6fdcb4ecb40d5dabd85d845bc"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga18106be6fdcb4ecb40d5dabd85d845bc">PDMA_UART1_RX</a>&#160;&#160;&#160;0x00000013UL</td></tr>
<tr class="separator:ga18106be6fdcb4ecb40d5dabd85d845bc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga2c079335316a7755dd7549369cc60a33"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga2c079335316a7755dd7549369cc60a33">PDMA_ADC</a>&#160;&#160;&#160;0x00000016UL</td></tr>
<tr class="separator:ga2c079335316a7755dd7549369cc60a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga681423450ceecede8721047dfa974193"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga681423450ceecede8721047dfa974193">PDMA_PWM0_CH0</a>&#160;&#160;&#160;0x00000019UL</td></tr>
<tr class="separator:ga681423450ceecede8721047dfa974193"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf63d8970aab98ba85d6cbf986a6447a8"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#gaf63d8970aab98ba85d6cbf986a6447a8">PDMA_PWM0_CH2</a>&#160;&#160;&#160;0x0000001AUL</td></tr>
<tr class="separator:gaf63d8970aab98ba85d6cbf986a6447a8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga345574611c87136e7d228d877449ad4e"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d7/db3/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___c_o_n_s_t_a_n_t_s.html#ga345574611c87136e7d228d877449ad4e">PDMA_MEM</a>&#160;&#160;&#160;0x0000001FUL</td></tr>
<tr class="separator:ga345574611c87136e7d228d877449ad4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga80902f661e20836c3c80540c4db4b7c4"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80902f661e20836c3c80540c4db4b7c4">PDMA_GET_INT_STATUS</a>()</td></tr>
<tr class="memdesc:ga80902f661e20836c3c80540c4db4b7c4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get PDMA Interrupt Status.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga80902f661e20836c3c80540c4db4b7c4">More...</a><br /></td></tr>
<tr class="separator:ga80902f661e20836c3c80540c4db4b7c4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1d656af0e09923d7823cca53c95ba4c5"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d656af0e09923d7823cca53c95ba4c5">PDMA_GET_CH_INT_STS</a>(u32Ch)</td></tr>
<tr class="memdesc:ga1d656af0e09923d7823cca53c95ba4c5"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get PDMA Channel Interrupt Status.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga1d656af0e09923d7823cca53c95ba4c5">More...</a><br /></td></tr>
<tr class="separator:ga1d656af0e09923d7823cca53c95ba4c5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga711c94f0845b8b8abe342bbe89854ca0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga711c94f0845b8b8abe342bbe89854ca0">PDMA_CLR_CH_INT_FLAG</a>(u32Ch,  u32Mask)</td></tr>
<tr class="memdesc:ga711c94f0845b8b8abe342bbe89854ca0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Clear PDMA Channel Interrupt Flag.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga711c94f0845b8b8abe342bbe89854ca0">More...</a><br /></td></tr>
<tr class="separator:ga711c94f0845b8b8abe342bbe89854ca0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga610eb8f9bfebadcc02204cb5cc8142ba"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga610eb8f9bfebadcc02204cb5cc8142ba">PDMA_IS_CH_BUSY</a>(u32Ch)</td></tr>
<tr class="memdesc:ga610eb8f9bfebadcc02204cb5cc8142ba"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check Channel Status.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga610eb8f9bfebadcc02204cb5cc8142ba">More...</a><br /></td></tr>
<tr class="separator:ga610eb8f9bfebadcc02204cb5cc8142ba"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4ad503ead703803c6057a9d3c7fe535b"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4ad503ead703803c6057a9d3c7fe535b">PDMA_SET_SRC_ADDR</a>(u32Ch,  u32Addr)</td></tr>
<tr class="memdesc:ga4ad503ead703803c6057a9d3c7fe535b"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Source Address.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4ad503ead703803c6057a9d3c7fe535b">More...</a><br /></td></tr>
<tr class="separator:ga4ad503ead703803c6057a9d3c7fe535b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8cd611e41ed0e40c75a8bc7ea6cdabc7"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8cd611e41ed0e40c75a8bc7ea6cdabc7">PDMA_SET_DST_ADDR</a>(u32Ch,  u32Addr)</td></tr>
<tr class="memdesc:ga8cd611e41ed0e40c75a8bc7ea6cdabc7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Destination Address.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga8cd611e41ed0e40c75a8bc7ea6cdabc7">More...</a><br /></td></tr>
<tr class="separator:ga8cd611e41ed0e40c75a8bc7ea6cdabc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0abeb742f3df394150a0789aa4dd1af0"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0abeb742f3df394150a0789aa4dd1af0">PDMA_SET_TRANS_CNT</a>(u32Ch,  u32Count)</td></tr>
<tr class="memdesc:ga0abeb742f3df394150a0789aa4dd1af0"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set Transfer Count.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga0abeb742f3df394150a0789aa4dd1af0">More...</a><br /></td></tr>
<tr class="separator:ga0abeb742f3df394150a0789aa4dd1af0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7ff26cd12b2ee45c33a0e3cfe61298b2"><td class="memItemLeft" align="right" valign="top">#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7ff26cd12b2ee45c33a0e3cfe61298b2">PDMA_STOP</a>(u32Ch)</td></tr>
<tr class="memdesc:ga7ff26cd12b2ee45c33a0e3cfe61298b2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Stop the channel.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga7ff26cd12b2ee45c33a0e3cfe61298b2">More...</a><br /></td></tr>
<tr class="separator:ga7ff26cd12b2ee45c33a0e3cfe61298b2"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga57adda7a5b3cc4834bf6713af2992243"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga57adda7a5b3cc4834bf6713af2992243">PDMA_Open</a> (uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga57adda7a5b3cc4834bf6713af2992243"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA Open.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga57adda7a5b3cc4834bf6713af2992243">More...</a><br /></td></tr>
<tr class="separator:ga57adda7a5b3cc4834bf6713af2992243"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac243b7bdead36ee0dc6042c9c7e67aa1"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac243b7bdead36ee0dc6042c9c7e67aa1">PDMA_Close</a> (void)</td></tr>
<tr class="memdesc:gac243b7bdead36ee0dc6042c9c7e67aa1"><td class="mdescLeft">&#160;</td><td class="mdescRight">PDMA Close.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gac243b7bdead36ee0dc6042c9c7e67aa1">More...</a><br /></td></tr>
<tr class="separator:gac243b7bdead36ee0dc6042c9c7e67aa1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf8075439ad51f51ff6acc64218a74477"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8075439ad51f51ff6acc64218a74477">PDMA_SetTransferCnt</a> (uint32_t u32Ch, uint32_t u32Width, uint32_t u32TransCount)</td></tr>
<tr class="memdesc:gaf8075439ad51f51ff6acc64218a74477"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Transfer Count.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gaf8075439ad51f51ff6acc64218a74477">More...</a><br /></td></tr>
<tr class="separator:gaf8075439ad51f51ff6acc64218a74477"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga18db38eff0079eefe428d2d7fbf2cc10"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18db38eff0079eefe428d2d7fbf2cc10">PDMA_SetTransferAddr</a> (uint32_t u32Ch, uint32_t u32SrcAddr, uint32_t u32SrcCtrl, uint32_t u32DstAddr, uint32_t u32DstCtrl)</td></tr>
<tr class="memdesc:ga18db38eff0079eefe428d2d7fbf2cc10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Transfer Address.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga18db38eff0079eefe428d2d7fbf2cc10">More...</a><br /></td></tr>
<tr class="separator:ga18db38eff0079eefe428d2d7fbf2cc10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad2adb19540b9241d0c7982cfa99251f8"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2adb19540b9241d0c7982cfa99251f8">PDMA_SetTransferMode</a> (uint32_t u32Ch, uint32_t u32Peripheral, uint32_t u32ScatterEn, uint32_t u32DescAddr)</td></tr>
<tr class="memdesc:gad2adb19540b9241d0c7982cfa99251f8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Transfer Mode.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gad2adb19540b9241d0c7982cfa99251f8">More...</a><br /></td></tr>
<tr class="separator:gad2adb19540b9241d0c7982cfa99251f8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3b46058bec15e3be2e3b4255c3aac3e4"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b46058bec15e3be2e3b4255c3aac3e4">PDMA_SetTimeOut</a> (uint32_t u32Ch, uint32_t u32OnOff, uint32_t u32TimeOutCnt)</td></tr>
<tr class="memdesc:ga3b46058bec15e3be2e3b4255c3aac3e4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set PDMA Timeout.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga3b46058bec15e3be2e3b4255c3aac3e4">More...</a><br /></td></tr>
<tr class="separator:ga3b46058bec15e3be2e3b4255c3aac3e4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27b2c77a625837f0e75592b2c040993f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27b2c77a625837f0e75592b2c040993f">PDMA_Trigger</a> (uint32_t u32Ch)</td></tr>
<tr class="memdesc:ga27b2c77a625837f0e75592b2c040993f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Trigger PDMA.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga27b2c77a625837f0e75592b2c040993f">More...</a><br /></td></tr>
<tr class="separator:ga27b2c77a625837f0e75592b2c040993f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4fd46c5f3b680a1e7d5af398dc0f1981"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4fd46c5f3b680a1e7d5af398dc0f1981">PDMA_EnableInt</a> (uint32_t u32Ch, uint32_t u32Mask)</td></tr>
<tr class="memdesc:ga4fd46c5f3b680a1e7d5af398dc0f1981"><td class="mdescLeft">&#160;</td><td class="mdescRight">Enable Interrupt.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#ga4fd46c5f3b680a1e7d5af398dc0f1981">More...</a><br /></td></tr>
<tr class="separator:ga4fd46c5f3b680a1e7d5af398dc0f1981"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacc2cc6a09900276aa06f40d287bd1346"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc2cc6a09900276aa06f40d287bd1346">PDMA_DisableInt</a> (uint32_t u32Ch, uint32_t u32Mask)</td></tr>
<tr class="memdesc:gacc2cc6a09900276aa06f40d287bd1346"><td class="mdescLeft">&#160;</td><td class="mdescRight">Disable Interrupt.  <a href="../../dc/de8/group___n_a_n_o1_x2___p_d_m_a___e_x_p_o_r_t_e_d___f_u_n_c_t_i_o_n_s.html#gacc2cc6a09900276aa06f40d287bd1346">More...</a><br /></td></tr>
<tr class="separator:gacc2cc6a09900276aa06f40d287bd1346"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p >Nano102/112 series PDMA driver header file. </p>
<dl class="section version"><dt>Version</dt><dd>V1.00 </dd></dl>
<dl class="section rcs"><dt>Revision</dt><dd>11 </dd></dl>
<dl class="section rcs"><dt>Date</dt><dd>15/06/11 5:56p </dd></dl>
<dl class="section note"><dt>Note</dt><dd>SPDX-License-Identifier: Apache-2.0 Copyright (C) 2013~2014 Nuvoton Technology Corp. All rights reserved. </dd></dl>

<p class="definition">Definition in file <a class="el" href="../../d1/d47/pdma_8h_source.html">pdma.h</a>.</p>
</div></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Oct 18 2024 12:20:31 for NANO102/112 BSP by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.3
</small></address>
</body>
</html>
